Bug 206052 - (pear-PHP-CompatInfo) Review Request: php-pear-PHP-CompatInfo - Find out version and extensions required for a piece of code to ru n
Review Request: php-pear-PHP-CompatInfo - Find out version and extensions req...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: pear-Console-Table
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-11 14:30 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 12:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-09-11 14:30:01 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-PHP-CompatInfo.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-PHP-CompatInfo-1.3.2-1.fc5.src.rpm
Description: A PEAR extension for PHP :

PHP_CompatInfo will parse a file/folder/script/array to find out the
minimum version and extensions required for it to run. Features advanced
debug output which shows which functions require which version and CLI
output script

rpmlint : 
W: php-pear-PHP-CompatInfo dangerous-command-in-%post install
=> rpmlint bug

build in mock : http://remi.collet.free.fr/rpms/extras/php-pear-PHP-CompatInfo-build.log
Comment 1 Christopher Stone 2006-09-11 17:22:41 EDT
- rpmlint output:
W: php-pear-PHP-CompatInfo dangerous-command-in-%post install
Okay.
- package is named according to Package Naming Guidelines
- spec filename matches package %{name}
- package meets Packaging Guidelines
- package licensed with open source compatible license
- license field in spec matches actual license
- license included in %doc
- spec file written in American english
- spec file is l3g1bL3
- sources match upstream
1198ca0995f7d75336b90d786253de5e  PHP_CompatInfo-1.3.2.tgz
- package successfully compiles and builds on x86_64 FC5
- All build dependecncies are listed in BuildRequires
- package does not use locales
- package does not contain shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicate files in %files
- File permissions are set properly
- package contains proper %clean section
- macro usage is consistent
- package contains permissible code
- no large documentation files
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no .so files
- no devel package
- no .la files
- package is not a GUI needing .desktop files
- Package does not own files or directories owned by other packages

APPROVED (pending closure of blocker bugs)
Comment 2 Remi Collet 2007-04-29 12:37:54 EDT
Package Change Request
======================
Package Name: php-pear-PHP-CompatInfo
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.